Loading...
Searching...
No Matches
pcl::visualization::AreaPickingEvent Class Reference

/brief Class representing 3D area picking events. More...

`#include <pcl/visualization/area_picking_event.h>`

## Public Member Functions

| AreaPickingEvent (std::map< std::string, pcl::Indices > cloud_indices)
| AreaPickingEvent (int, const pcl::Indices &indices)
bool | getPointsIndices (pcl::Indices &indices) const
| For situations where a whole area is selected, return the points indices.
std::vector< std::string > | getCloudNames () const
| For situations where a whole area is selected, return the names of the selected point clouds.
Indices | getPointsIndices (const std::string &name) const
| For situations where a whole area is selected, return the points indices for a given point cloud.

## Detailed Description

/brief Class representing 3D area picking events.

Definition at line 50 of file area_picking_event.h.

## Constructor & Destructor Documentation

## AreaPickingEvent() [1/2]

pcl::visualization::AreaPickingEvent::AreaPickingEvent | ( | std::map< std::string, pcl::Indices > | cloud_indices | ) |

inline

Definition at line 53 of file area_picking_event.h.

## AreaPickingEvent() [2/2]

pcl::visualization::AreaPickingEvent::AreaPickingEvent | ( | int | ,
|  | const pcl::Indices & | indices
| ) |  |

inline

Deprecated:
  Scheduled for removal in version 1 . 16 : "This constructor is deprecated!"

Definition at line 58 of file area_picking_event.h.

## Member Function Documentation

## getCloudNames()

std::vector< std::string > pcl::visualization::AreaPickingEvent::getCloudNames | ( |  | ) | const

inline

For situations where a whole area is selected, return the names of the selected point clouds.

Returns
  The names of selected point clouds

Definition at line 81 of file area_picking_event.h.

## getPointsIndices() [1/2]

Indices pcl::visualization::AreaPickingEvent::getPointsIndices | ( | const std::string & | name | ) | const

inline

For situations where a whole area is selected, return the points indices for a given point cloud.

Parameters

  [in] | name | of selected clouds.

Returns
  The indices for the selected cloud.

Definition at line 94 of file area_picking_event.h.

## getPointsIndices() [2/2]

bool pcl::visualization::AreaPickingEvent::getPointsIndices | ( | pcl::Indices & | indices | ) | const

inline

For situations where a whole area is selected, return the points indices.

Parameters

  [out] | indices | indices of the points under the area selected by user.

Returns
  true, if the area selected by the user contains points, false otherwise

Definition at line 66 of file area_picking_event.h.

The documentation for this class was generated from the following file:

- pcl/visualization/area_picking_event.h